# Serialized Form

Package org.apache.mahout.common

Class org.apache.mahout.common.RandomWrapper extends Random implements Serializable

Serialized Fields

### random

    org.apache.commons.math3.random.RandomGenerator random

Package org.apache.mahout.math

Class org.apache.mahout.math.CardinalityException extends IllegalArgumentException implements Serializable

Class org.apache.mahout.math.IndexException extends IllegalArgumentException implements Serializable

Class org.apache.mahout.math.OrderedIntDoubleMapping extends Object implements Serializable

Serialized Fields

### indices

    int[] indices

### values

    double[] values

### numMappings

    int numMappings

### noDefault

    boolean noDefault

Class org.apache.mahout.math.PersistentObject extends Object implements Serializable

Class org.apache.mahout.math.SingularValueDecomposition extends Object implements Serializable

Serialized Fields

### u

    double[][] u

  Arrays for internal storage of U and V.

### v

    double[][] v

### s

    double[] s

  Array for internal storage of singular values.

### m

    int m

  Row and column dimensions.

### n

    int n

### transpositionNeeded

    boolean transpositionNeeded

  To handle the case where numRows() < numCols() and to use the fact that SVD(A')=VSU'=> SVD(A')'=SVD(A)

Class org.apache.mahout.math.WeightedVectorComparator extends Object implements Serializable

Package org.apache.mahout.math.list

Class org.apache.mahout.math.list.AbstractByteList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractCharList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractDoubleList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractFloatList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractIntList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractList extends PersistentObject implements Serializable

Class org.apache.mahout.math.list.AbstractLongList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.AbstractObjectList extends AbstractList implements Serializable

Class org.apache.mahout.math.list.AbstractShortList extends AbstractList implements Serializable

Serialized Fields

### size

    int size

  The size of the list. This is a READ_ONLY variable for all methods but setSizeRaw(int newSize) !!! If you violate this principle in subclasses, you should exactly know what you are doing.

Class org.apache.mahout.math.list.ByteArrayList extends AbstractByteList implements Serializable

Serialized Fields

### elements

    byte[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.CharArrayList extends AbstractCharList implements Serializable

Serialized Fields

### elements

    char[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.DoubleArrayList extends AbstractDoubleList implements Serializable

Serialized Fields

### elements

    double[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.FloatArrayList extends AbstractFloatList implements Serializable

Serialized Fields

### elements

    float[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.IntArrayList extends AbstractIntList implements Serializable

Serialized Fields

### elements

    int[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.LongArrayList extends AbstractLongList implements Serializable

Serialized Fields

### elements

    long[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.ObjectArrayList extends AbstractObjectList<T> implements Serializable

Serialized Fields

### elements

    Object[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

### size

    int size

Class org.apache.mahout.math.list.ShortArrayList extends AbstractShortList implements Serializable

Serialized Fields

### elements

    short[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Class org.apache.mahout.math.list.SimpleLongArrayList extends AbstractLongList implements Serializable

Serialized Fields

### elements

    long[] elements

  The array buffer into which the elements of the list are stored. The capacity of the list is the length of this array buffer.

Package org.apache.mahout.math.map

Class org.apache.mahout.math.map.AbstractByteByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractByteShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractCharShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractDoubleShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractFloatShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractIntShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractLongShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractObjectShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortByteMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortCharMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortDoubleMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortFloatMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortIntMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortLongMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortObjectMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.AbstractShortShortMap extends AbstractSet implements Serializable

Class org.apache.mahout.math.map.OpenByteByteHashMap extends AbstractByteByteMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteCharHashMap extends AbstractByteCharMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteDoubleHashMap extends AbstractByteDoubleMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteFloatHashMap extends AbstractByteFloatMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteIntHashMap extends AbstractByteIntMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteLongHashMap extends AbstractByteLongMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteObjectHashMap extends AbstractByteObjectMap<T> implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenByteShortHashMap extends AbstractByteShortMap implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharByteHashMap extends AbstractCharByteMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharCharHashMap extends AbstractCharCharMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharDoubleHashMap extends AbstractCharDoubleMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharFloatHashMap extends AbstractCharFloatMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharIntHashMap extends AbstractCharIntMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharLongHashMap extends AbstractCharLongMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharObjectHashMap extends AbstractCharObjectMap<T> implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenCharShortHashMap extends AbstractCharShortMap implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleByteHashMap extends AbstractDoubleByteMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleCharHashMap extends AbstractDoubleCharMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleDoubleHashMap extends AbstractDoubleDoubleMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleFloatHashMap extends AbstractDoubleFloatMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleIntHashMap extends AbstractDoubleIntMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleLongHashMap extends AbstractDoubleLongMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleObjectHashMap extends AbstractDoubleObjectMap<T> implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenDoubleShortHashMap extends AbstractDoubleShortMap implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatByteHashMap extends AbstractFloatByteMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatCharHashMap extends AbstractFloatCharMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatDoubleHashMap extends AbstractFloatDoubleMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatFloatHashMap extends AbstractFloatFloatMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatIntHashMap extends AbstractFloatIntMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatLongHashMap extends AbstractFloatLongMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatObjectHashMap extends AbstractFloatObjectMap<T> implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenFloatShortHashMap extends AbstractFloatShortMap implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenHashMap extends AbstractSet implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntByteHashMap extends AbstractIntByteMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntCharHashMap extends AbstractIntCharMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntDoubleHashMap extends AbstractIntDoubleMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntFloatHashMap extends AbstractIntFloatMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntIntHashMap extends AbstractIntIntMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntLongHashMap extends AbstractIntLongMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntObjectHashMap extends AbstractIntObjectMap<T> implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenIntShortHashMap extends AbstractIntShortMap implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongByteHashMap extends AbstractLongByteMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongCharHashMap extends AbstractLongCharMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongDoubleHashMap extends AbstractLongDoubleMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongFloatHashMap extends AbstractLongFloatMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongIntHashMap extends AbstractLongIntMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongLongHashMap extends AbstractLongLongMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongObjectHashMap extends AbstractLongObjectMap<T> implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenLongShortHashMap extends AbstractLongShortMap implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectByteHashMap extends AbstractObjectByteMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectCharHashMap extends AbstractObjectCharMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectDoubleHashMap extends AbstractObjectDoubleMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectFloatHashMap extends AbstractObjectFloatMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectIntHashMap extends AbstractObjectIntMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectLongHashMap extends AbstractObjectLongMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenObjectShortHashMap extends AbstractObjectShortMap<T> implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortByteHashMap extends AbstractShortByteMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    byte[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortCharHashMap extends AbstractShortCharMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    char[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortDoubleHashMap extends AbstractShortDoubleMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    double[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortFloatHashMap extends AbstractShortFloatMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    float[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortIntHashMap extends AbstractShortIntMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    int[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortLongHashMap extends AbstractShortLongMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    long[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortObjectHashMap extends AbstractShortObjectMap<T> implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    Object[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.map.OpenShortShortHashMap extends AbstractShortShortMap implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### values

    short[] values

  The hash table values.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Package org.apache.mahout.math.random

Class org.apache.mahout.math.random.IndianBuffet.ImpossibleException extends RuntimeException implements Serializable

Package org.apache.mahout.math.set

Class org.apache.mahout.math.set.AbstractByteSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractCharSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractDoubleSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractFloatSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractIntSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractLongSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.AbstractSet extends PersistentObject implements Serializable

Serialized Fields

### distinct

    int distinct

  The number of distinct associations in the map; its "size()".

### lowWaterMark

    int lowWaterMark

  The table capacity c=table.length always satisfies the invariant `c * minLoadFactor <= s <= c * maxLoadFactor`, where s=size() is the number of associations currently contained. The term "c * minLoadFactor" is called the "lowWaterMark", "c * maxLoadFactor" is called the "highWaterMark". In other words, the table capacity (and proportionally the memory used by this class) oscillates within these constraints. The terms are precomputed and cached to avoid recalculating them each time put(..) or removeKey(...) is called.

### highWaterMark

    int highWaterMark

### minLoadFactor

    double minLoadFactor

  The minimum load factor for the hashtable.

### maxLoadFactor

    double maxLoadFactor

  The maximum load factor for the hashtable.

Class org.apache.mahout.math.set.AbstractShortSet extends AbstractSet implements Serializable

Class org.apache.mahout.math.set.OpenByteHashSet extends AbstractByteSet implements Serializable

Serialized Fields

### table

    byte[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenCharHashSet extends AbstractCharSet implements Serializable

Serialized Fields

### table

    char[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenDoubleHashSet extends AbstractDoubleSet implements Serializable

Serialized Fields

### table

    double[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenFloatHashSet extends AbstractFloatSet implements Serializable

Serialized Fields

### table

    float[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenHashSet extends AbstractSet implements Serializable

Serialized Fields

### table

    Object[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenIntHashSet extends AbstractIntSet implements Serializable

Serialized Fields

### table

    int[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenLongHashSet extends AbstractLongSet implements Serializable

Serialized Fields

### table

    long[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Class org.apache.mahout.math.set.OpenShortHashSet extends AbstractShortSet implements Serializable

Serialized Fields

### table

    short[] table

  The hash table keys.

### state

    byte[] state

  The state of each hash table entry (FREE, FULL, REMOVED).

### freeEntries

    int freeEntries

  The number of table entries in state==FREE.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.